Fill me in with the latest!

Discussion in 'Wii - Emulation and Homebrew' started by Jokiz, Sep 25, 2008.

Sep 25, 2008

Fill me in with the latest! by Jokiz at 8:47 PM (872 Views / 0 Likes) 1 replies

  1. Jokiz

    Member Jokiz GBAtemp Regular

    Jun 13, 2007
    I haven't been active at the Wii scene in a long time. I got my Xbox 360 a few months ago and that's what's been keeping me busy. However, lately there has been a few Wii titles I'd really like to try. But I'm not really into all this new stuff that's been going on. And I need some help.

    The last time I played my Wii was when the 3.3 firmware was released. Now, this firmware seemed to block all Trucha Signed disc's, and since I had alot of games that had been region free'd I didn't update, so that I could still play them. So my current firmware is 3.2E (PAL)

    Now, I'd like to know what to do if I want to play the latest Wii games. I'd also like to inject Megaman 9. So could anyone please tell me what "new stuff" I should get? And how? Thanks!
  2. trent_fox

    Member trent_fox GBAtemp Regular

    Apr 4, 2007
    United States
    Everything is basically the same. 3.3 blocks trucha like you said, but a downgrader is out now so you could get back to 3.2 if u accidently updated.

    Nothing requires 3.3, so nothing really to update. Just grab the games you want and get playing.

Share This Page